package com.atlassian.stash.internal.pull;

import javax.annotation.Nonnull;

public class PullRequestCountQueryHelper extends AbstractPullRequestQueryHelper {

    private static final String SELECT_COUNT = "SELECT count(pr) FROM InternalPullRequest pr ";

    public PullRequestCountQueryHelper(@Nonnull PullRequestSearchCriteria criteria) {
        super(criteria);
    }

    @Override
    public String toString() {
        return SELECT_COUNT + getJoinString() + getConstraintString();
    }
}
